用户
获取用户媒体
GET /v1/users/{screen_name}/media reads 2 额度
账号的媒体标签页:它自己发布的带照片、视频或 GIF 的帖子,最新在前。
查询参数
| 查询参数 | 类型 | 含义 |
|---|---|---|
count | int 1–100 = 20 | 请求的页大小;X 仅作参考 |
cursor | string | 来自上一页的 next_cursor |
响应
该账号、其媒体帖子,以及下一页的游标(到底时为 null)。 逐字段说明: Tweet(读取).
状态: 200, 400, 404, 429, 502
请求
curl https://api.xsignalfeed.com/v1/users/nasa/media?count=20 \ -H "Authorization: Bearer xsf_your_key"
响应 · 200 / 400
{
"user": {
"id": "11348282",
"screen_name": "NASA"
},
"tweets": [
{
"id": 2100306604344132055,
"created_ms": 1789587090942,
"user_id": 11348282,
"user": "NASA",
"name": "NASA",
"text": "This starry view is one of the largest images released to date from @NASAWebb…",
"lang": "en",
"reply_to": null,
"reply_to_status_id": null,
"reply_to_user_id": null,
"conversation_id": "2100306604344132055",
"is_rt": false,
"rt_of": null,
"is_quote": false,
"quoted": null,
"media": [
"https://pbs.twimg.com/media/….jpg"
],
"media_items": [
{
"type": "photo",
"url": "https://pbs.twimg.com/media/….jpg",
"expanded_url": "https://x.com/NASA/status/2100306604344132055/photo/1",
"width": 1616,
"height": 2000
}
],
"urls": [
"https://go.nasa.gov/…"
],
"views": "455513",
"counts": {
"reply": 140,
"rt": 601,
"like": 4202,
"quote": 30,
"bookmark": 213
}
},
{
"…": "…"
}
],
"next_cursor": "DAABCgABHSYySjO___0KAAIdH3F3aRZxxggAAwAAAAIAAA"
}